package com.chinaitop.depot.intelligent.ventilation.model;

import java.util.Date;

public class TBusinessApproval {
    private String id;

    private String jid;

    private String projectName;

    private String aid;

    private String approver;

    private Date updateTime;

    /**
     * 32位唯一编码
     * @return id 32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一编码
     * @param id 32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 作业表id
     * @return jid 作业表id
     */
    public String getJid() {
        return jid;
    }

    /**
     * 作业表id
     * @param jid 作业表id
     */
    public void setJid(String jid) {
        this.jid = jid == null ? null : jid.trim();
    }

    /**
     * 审批名字类型名 列如通风，熏蒸等
     * @return project_name 审批名字类型名 列如通风，熏蒸等
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 审批名字类型名 列如通风，熏蒸等
     * @param projectName 审批名字类型名 列如通风，熏蒸等
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName == null ? null : projectName.trim();
    }

    /**
     * 审批人id
     * @return aid 审批人id
     */
    public String getAid() {
        return aid;
    }

    /**
     * 审批人id
     * @param aid 审批人id
     */
    public void setAid(String aid) {
        this.aid = aid == null ? null : aid.trim();
    }

    /**
     * 审批人
     * @return approver 审批人
     */
    public String getApprover() {
        return approver;
    }

    /**
     * 审批人
     * @param approver 审批人
     */
    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    /**
     * 操作时间
     * @return update_time 操作时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 操作时间
     * @param updateTime 操作时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}